# CraftPresence

## [v2.2.6](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.2.6) (2022-05-30)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.2.5...v2.2.6) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Change] Multiple Adjustments to `GetUnitStatus`  
    - Swapped `refresh` param to the 3rd param, and adjusted it so refresh now controls if `SyncDynamicData` is called before proceeding in method execution. The existing `refresh` case has been moved to `sync` to preserve existing behavior.  
    - Added a `seperator` and `index` optional parameter to the function. This will allow customizing both how `unitInfo` is split up, and for index, specifying an exact part of `unitData` to have. Note that these parameters are for advanced usage, since it can be very technical how this works.  
    - Additionally, a `full\_status` param exists, which will always be the concatenated (by `seperator`) form of `unitInfo`, in order to preserve `sync` behavior. It is advised NOT to use a custom seperator with `sync` enabled, as changing it after a sync can cause duplicated events, which otherwise would not happen under default behaviors.  
    - Clean up now-outdated config logic, most notably `PLAYER\_FLAGS\_CHANGED` which no longer needs a `unitData` comparison. Logic may be changed / a schema layer added if the prior format of this setting causes issues in default behaviors.  
- [Change] Cleanup LuaCheck data  
    - Removes a lot of outdated references due to dynamic conversion over time  
- [Change] Bumped TOC and Metadata for 9.2.5 Retail Support  
